generator:
  class: sfDoctrineGenerator
  param:
    model_class:           Partners
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          partners
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 80
    hr: true

    config:
      actions: ~
      fields:
        cover: {label: Изображение}
        title: {label: Название}
        link: {label: Ссылка}
        order_id: {label: 'Порядок сортировки'}
        created_at: {label: Дата создания}
      list:
        layout: ~
        title: 'Партнёры'
        display: [title, _cover, order_id]
        max_per_page: 100
        sort: [order_id, ASC]
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: [title]
        export: false
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование партнёра
      new:
        title: Добавление партнёра